<?xml version="1.0" encoding="utf-8"?>
<wsdl:definitions xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:soap="http://schemas.xmlsoap.org/wsdl/soap/" xmlns:tns="http://fideuram.it/frontend-unico/prometeiaWs" xmlns:ns1="http://schemas.xmlsoap.org/soap/http" name="PrometeiaProxyServices" targetNamespace="http://fideuram.it/frontend-unico/prometeiaWs" xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/">
  <wsdl:types>
    <xs:schema elementFormDefault="unqualified" targetNamespace="http://fideuram.it/frontend-unico/prometeiaWs" version="1.0" xmlns:xs="http://www.w3.org/2001/XMLSchema">
      <xs:element name="fiscalitaImmobili" type="tns:fiscalitaImmobili" />
      <xs:element name="fiscalitaImmobiliResponse" type="tns:fiscalitaImmobiliResponse" />
      <xs:element name="fiscalitaTari" type="tns:fiscalitaTari" />
      <xs:element name="fiscalitaTariResponse" type="tns:fiscalitaTariResponse" />
      <xs:element name="getMapComuniItaly" type="tns:getMapComuniItaly" />
      <xs:element name="getMapComuniItalyResponse" type="tns:getMapComuniItalyResponse" />
      <xs:complexType name="fiscalitaTari">
        <xs:sequence>
          <xs:element minOccurs="0" name="arg0" type="tns:tariImmobiliRequest" />
        </xs:sequence>
      </xs:complexType>
      <xs:complexType name="tariImmobiliRequest">
        <xs:complexContent mixed="false">
          <xs:extension base="tns:request">
            <xs:sequence>
              <xs:element minOccurs="0" maxOccurs="unbounded" name="immobili" nillable="true" type="tns:tariImmobileInput" />
              <xs:element minOccurs="0" name="rangeValori" type="xs:boolean" />
            </xs:sequence>
          </xs:extension>
        </xs:complexContent>
      </xs:complexType>
      <xs:complexType name="request">
        <xs:sequence>
          <xs:element minOccurs="0" name="remoteAddress" type="xs:string" />
          <xs:element minOccurs="0" name="user" type="tns:user" />
        </xs:sequence>
      </xs:complexType>
      <xs:complexType name="tariImmobileInput">
        <xs:sequence>
          <xs:element minOccurs="0" name="categoriaCatastale" type="xs:string" />
          <xs:element minOccurs="0" name="chiaveImmobile" type="xs:string" />
          <xs:element minOccurs="0" name="codComune" type="xs:string" />
          <xs:element minOccurs="0" name="destinazioneUso" type="xs:string" />
          <xs:element minOccurs="0" name="pertinenzaUtDomestica" type="xs:boolean" />
          <xs:element minOccurs="0" name="subTariffaUtDomestica" type="xs:string" />
          <xs:element minOccurs="0" name="subTariffaUtNonDomestica" type="xs:string" />
          <xs:element minOccurs="0" name="superficieTARI" type="xs:decimal" />
          <xs:element minOccurs="0" name="tariffaUtDomestica" type="xs:long" />
          <xs:element minOccurs="0" name="tariffaUtNonDomestica" type="xs:long" />
          <xs:element minOccurs="0" name="timeBucket" type="xs:int" />
          <xs:element minOccurs="0" name="tipoCatasto" type="xs:string" />
        </xs:sequence>
      </xs:complexType>
      <xs:complexType name="user">
        <xs:sequence>
          <xs:element minOccurs="0" name="filiale" type="xs:string" />
          <xs:element minOccurs="0" name="password" type="xs:string" />
          <xs:element minOccurs="0" name="userPFTPro" type="xs:string" />
          <xs:element minOccurs="0" name="username" type="xs:string" />
        </xs:sequence>
      </xs:complexType>
      <xs:complexType name="fiscalitaTariResponse">
        <xs:sequence>
          <xs:element minOccurs="0" name="return" type="tns:tariImmobiliResponse" />
        </xs:sequence>
      </xs:complexType>
      <xs:complexType name="tariImmobiliResponse">
        <xs:complexContent mixed="false">
          <xs:extension base="tns:response">
            <xs:sequence>
              <xs:element minOccurs="0" maxOccurs="unbounded" name="immobili" nillable="true" type="tns:tariImmobileOutput" />
            </xs:sequence>
          </xs:extension>
        </xs:complexContent>
      </xs:complexType>
      <xs:complexType name="response" abstract="true">
        <xs:sequence>
          <xs:element minOccurs="0" name="reasonCode" type="xs:string" />
          <xs:element name="returnCode" type="xs:int" />
        </xs:sequence>
      </xs:complexType>
      <xs:complexType name="tariImmobileOutput">
        <xs:sequence>
          <xs:element minOccurs="0" name="baseImponibile" type="xs:decimal" />
          <xs:element minOccurs="0" name="chiaveImmobile" type="xs:string" />
          <xs:element minOccurs="0" name="codiceTariffa" type="xs:long" />
          <xs:element minOccurs="0" name="descrizioneTariffa" type="xs:string" />
          <xs:element minOccurs="0" name="errorCode" type="xs:string" />
          <xs:element minOccurs="0" name="errorDescription" type="xs:string" />
          <xs:element name="status" type="xs:int" />
          <xs:element minOccurs="0" name="tari" type="xs:decimal" />
          <xs:element minOccurs="0" name="tariMax" type="xs:decimal" />
          <xs:element minOccurs="0" name="tariMin" type="xs:decimal" />
          <xs:element minOccurs="0" name="timeBucket" type="xs:int" />
          <xs:element minOccurs="0" name="valoreTariffaFissa" type="xs:decimal" />
          <xs:element minOccurs="0" name="valoreTariffaMq" type="xs:decimal" />
          <xs:element minOccurs="0" name="valoreTariffaVariabile" type="xs:decimal" />
        </xs:sequence>
      </xs:complexType>
      <xs:complexType name="getMapComuniItaly">
        <xs:sequence>
          <xs:element minOccurs="0" name="arg0" type="tns:mapComuniItalyRequest" />
        </xs:sequence>
      </xs:complexType>
      <xs:complexType name="mapComuniItalyRequest">
        <xs:complexContent mixed="false">
          <xs:extension base="tns:request">
            <xs:sequence>
              <xs:element minOccurs="0" maxOccurs="unbounded" name="codiciComune" nillable="true" type="xs:string" />
              <xs:element minOccurs="0" maxOccurs="unbounded" name="comuni" nillable="true" type="tns:mapComune" />
              <xs:element minOccurs="0" name="markerUrl" type="xs:string" />
            </xs:sequence>
          </xs:extension>
        </xs:complexContent>
      </xs:complexType>
      <xs:complexType name="mapComune">
        <xs:complexContent mixed="false">
          <xs:extension base="tns:mapPoint">
            <xs:sequence>
              <xs:element minOccurs="0" name="comune" type="xs:string" />
            </xs:sequence>
          </xs:extension>
        </xs:complexContent>
      </xs:complexType>
      <xs:complexType name="mapPoint">
        <xs:sequence>
          <xs:element minOccurs="0" name="imgStream" type="xs:base64Binary" />
          <xs:element minOccurs="0" name="latitudine" type="xs:double" />
          <xs:element minOccurs="0" name="longitudine" type="xs:double" />
          <xs:element minOccurs="0" name="markerUrl" type="xs:string" />
          <xs:element minOccurs="0" maxOccurs="unbounded" name="parameters" nillable="true" type="tns:mapPointParametersEntry" />
        </xs:sequence>
      </xs:complexType>
      <xs:complexType name="mapPointParametersEntry">
        <xs:sequence>
          <xs:element minOccurs="0" name="key" type="xs:string" />
          <xs:element minOccurs="0" name="value" type="xs:anyType" />
        </xs:sequence>
      </xs:complexType>
      <xs:complexType name="getMapComuniItalyResponse">
        <xs:sequence>
          <xs:element minOccurs="0" name="return" type="tns:mapResponse" />
        </xs:sequence>
      </xs:complexType>
      <xs:complexType name="mapResponse">
        <xs:complexContent mixed="false">
          <xs:extension base="tns:response">
            <xs:sequence>
              <xs:element minOccurs="0" name="stream" type="xs:base64Binary" />
            </xs:sequence>
          </xs:extension>
        </xs:complexContent>
      </xs:complexType>
      <xs:complexType name="fiscalitaImmobili">
        <xs:sequence>
          <xs:element minOccurs="0" name="arg0" type="tns:aliquoteImmobiliRequest" />
        </xs:sequence>
      </xs:complexType>
      <xs:complexType name="aliquoteImmobiliRequest">
        <xs:complexContent mixed="false">
          <xs:extension base="tns:request">
            <xs:sequence>
              <xs:element minOccurs="0" maxOccurs="unbounded" name="immobili" nillable="true" type="tns:aliquotaImmobileInput" />
              <xs:element minOccurs="0" name="rangeValori" type="xs:boolean" />
            </xs:sequence>
          </xs:extension>
        </xs:complexContent>
      </xs:complexType>
      <xs:complexType name="aliquotaImmobileInput">
        <xs:sequence>
          <xs:element minOccurs="0" name="abitazionePrincipale" type="xs:boolean" />
          <xs:element minOccurs="0" name="aliquotaImu" type="xs:decimal" />
          <xs:element minOccurs="0" name="aliquotaTasi" type="xs:decimal" />
          <xs:element minOccurs="0" name="baseImponibile" type="xs:decimal" />
          <xs:element minOccurs="0" name="categoria" type="xs:string" />
          <xs:element minOccurs="0" name="categoriaCatastaleAbitazionePrincipale" type="xs:string" />
          <xs:element minOccurs="0" name="chiaveImmobile" type="xs:string" />
          <xs:element minOccurs="0" name="codAliquota" type="xs:string" />
          <xs:element minOccurs="0" name="codSubAliquoteImu" type="xs:string" />
          <xs:element minOccurs="0" name="codSubAliquoteTasi" type="xs:string" />
          <xs:element minOccurs="0" name="codZona" type="xs:string" />
          <xs:element minOccurs="0" name="comune" type="xs:string" />
          <xs:element minOccurs="0" name="destinazioneUso" type="xs:string" />
          <xs:element minOccurs="0" name="detrazioneValImu" type="xs:decimal" />
          <xs:element minOccurs="0" name="detrazioneValTasi" type="xs:decimal" />
          <xs:element minOccurs="0" maxOccurs="unbounded" name="detrazioniImu" nillable="true" type="xs:string" />
          <xs:element minOccurs="0" maxOccurs="unbounded" name="detrazioniTasi" nillable="true" type="xs:string" />
          <xs:element minOccurs="0" name="indirizzo" type="xs:string" />
          <xs:element minOccurs="0" name="mesiPossesso" type="xs:int" />
          <xs:element minOccurs="0" name="pertinenzaAbPrincipale" type="xs:boolean" />
          <xs:element minOccurs="0" name="presenzaDetentore" type="xs:boolean" />
          <xs:element minOccurs="0" name="renditaCatastale" type="xs:decimal" />
          <xs:element minOccurs="0" name="timeBucket" type="xs:int" />
          <xs:element minOccurs="0" name="tipoCatasto" type="xs:string" />
        </xs:sequence>
      </xs:complexType>
      <xs:complexType name="fiscalitaImmobiliResponse">
        <xs:sequence>
          <xs:element minOccurs="0" name="return" type="tns:aliquoteImmobiliResponse" />
        </xs:sequence>
      </xs:complexType>
      <xs:complexType name="aliquoteImmobiliResponse">
        <xs:complexContent mixed="false">
          <xs:extension base="tns:response">
            <xs:sequence>
              <xs:element minOccurs="0" maxOccurs="unbounded" name="immobili" nillable="true" type="tns:aliquotaImmobileOutput" />
            </xs:sequence>
          </xs:extension>
        </xs:complexContent>
      </xs:complexType>
      <xs:complexType name="aliquotaImmobileOutput">
        <xs:complexContent mixed="false">
          <xs:extension base="tns:response">
            <xs:sequence>
              <xs:element minOccurs="0" name="baseImponibile" type="xs:decimal" />
              <xs:element minOccurs="0" name="chiaveImmobile" type="xs:string" />
              <xs:element minOccurs="0" name="imu" type="tns:fiscalita" />
              <xs:element minOccurs="0" name="tasi" type="tns:fiscalita" />
              <xs:element minOccurs="0" name="timeBucket" type="xs:int" />
            </xs:sequence>
          </xs:extension>
        </xs:complexContent>
      </xs:complexType>
      <xs:complexType name="fiscalita">
        <xs:sequence>
          <xs:element minOccurs="0" name="aliquota" type="tns:aliquotaFiscalita" />
          <xs:element minOccurs="0" maxOccurs="unbounded" name="detrazioni" nillable="true" type="tns:detrazioneFiscalita" />
          <xs:element name="esente" type="xs:boolean" />
          <xs:element minOccurs="0" name="subAliquota" type="tns:aliquotaFiscalita" />
          <xs:element minOccurs="0" name="valore" type="xs:decimal" />
          <xs:element minOccurs="0" name="valoreMax" type="xs:decimal" />
          <xs:element minOccurs="0" name="valoreMin" type="xs:decimal" />
        </xs:sequence>
      </xs:complexType>
      <xs:complexType name="aliquotaFiscalita">
        <xs:sequence>
          <xs:element minOccurs="0" name="codice" type="xs:string" />
          <xs:element minOccurs="0" name="codiceNazionaleComune" type="xs:string" />
          <xs:element minOccurs="0" name="codiceSub" type="xs:string" />
          <xs:element minOccurs="0" name="descrizione" type="xs:string" />
          <xs:element name="idComune" type="xs:long" />
          <xs:element name="quotapossessore" type="xs:float" />
          <xs:element minOccurs="0" name="riduzione" type="xs:float" />
          <xs:element minOccurs="0" name="tipo" type="xs:string" />
          <xs:element name="valore" type="xs:float" />
        </xs:sequence>
      </xs:complexType>
      <xs:complexType name="detrazioneFiscalita">
        <xs:complexContent mixed="false">
          <xs:extension base="tns:aliquotaFiscalita">
            <xs:sequence>
              <xs:element minOccurs="0" name="codiceDetrazione" type="xs:string" />
            </xs:sequence>
          </xs:extension>
        </xs:complexContent>
      </xs:complexType>
    </xs:schema>
  </wsdl:types>
  <wsdl:message name="fiscalitaImmobili">
    <wsdl:part name="parameters" element="tns:fiscalitaImmobili" />
  </wsdl:message>
  <wsdl:message name="fiscalitaTariResponse">
    <wsdl:part name="parameters" element="tns:fiscalitaTariResponse" />
  </wsdl:message>
  <wsdl:message name="getMapComuniItaly">
    <wsdl:part name="parameters" element="tns:getMapComuniItaly" />
  </wsdl:message>
  <wsdl:message name="getMapComuniItalyResponse">
    <wsdl:part name="parameters" element="tns:getMapComuniItalyResponse" />
  </wsdl:message>
  <wsdl:message name="fiscalitaImmobiliResponse">
    <wsdl:part name="parameters" element="tns:fiscalitaImmobiliResponse" />
  </wsdl:message>
  <wsdl:message name="fiscalitaTari">
    <wsdl:part name="parameters" element="tns:fiscalitaTari" />
  </wsdl:message>
  <wsdl:portType name="IPrometeiaWS">
    <wsdl:operation name="fiscalitaTari">
      <wsdl:input name="fiscalitaTari" message="tns:fiscalitaTari" />
      <wsdl:output name="fiscalitaTariResponse" message="tns:fiscalitaTariResponse" />
    </wsdl:operation>
    <wsdl:operation name="getMapComuniItaly">
      <wsdl:input name="getMapComuniItaly" message="tns:getMapComuniItaly" />
      <wsdl:output name="getMapComuniItalyResponse" message="tns:getMapComuniItalyResponse" />
    </wsdl:operation>
    <wsdl:operation name="fiscalitaImmobili">
      <wsdl:input name="fiscalitaImmobili" message="tns:fiscalitaImmobili" />
      <wsdl:output name="fiscalitaImmobiliResponse" message="tns:fiscalitaImmobiliResponse" />
    </wsdl:operation>
  </wsdl:portType>
  <wsdl:binding name="PrometeiaProxyServicesSoapBinding" type="tns:IPrometeiaWS">
    <soap:binding transport="http://schemas.xmlsoap.org/soap/http" />
    <wsdl:operation name="fiscalitaTari">
      <soap:operation soapAction="" style="document" />
      <wsdl:input name="fiscalitaTari">
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output name="fiscalitaTariResponse">
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="getMapComuniItaly">
      <soap:operation soapAction="" style="document" />
      <wsdl:input name="getMapComuniItaly">
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output name="getMapComuniItalyResponse">
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="fiscalitaImmobili">
      <soap:operation soapAction="" style="document" />
      <wsdl:input name="fiscalitaImmobili">
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output name="fiscalitaImmobiliResponse">
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
  </wsdl:binding>
  <wsdl:service name="PrometeiaProxyServices">
    <wsdl:port name="PrometeiaProxy" binding="tns:PrometeiaProxyServicesSoapBinding">
      <soap:address location="http://bfwspuc01c:8080/fu-app/PrometeiaProxyServices" />
    </wsdl:port>
  </wsdl:service>
</wsdl:definitions>